<br><br>
<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd; margin-top: 30px;">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Formation</a>
    <button
      class="navbar-toggler"
      type="button"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>
    <div
      class="collapse navbar-collapse"
      id="navbarNav"

    >
      <ul class="navbar-nav">
     
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/formations']">Formations</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/formateurs']">Formateurs</a>
        </li>
    
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/participants']">Participants</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" [routerLink]="['/sessions']">Sessions</a>
        </li>
        <li class="nav-item">
          <a class="nav-link "  
          [matMenuTriggerFor]="aboveMenu">Configurations
            <mat-menu #aboveMenu="matMenu" >
              <button mat-menu-item [routerLink]="['/domaines']">Domaines</button>
              <button mat-menu-item [routerLink]="['/organismes']">Organismes</button>
              <button mat-menu-item [routerLink]="['/pays']">Pays</button>
              <button mat-menu-item [routerLink]="['/profils']">Profils</button>
            </mat-menu></a
          >
        </li>
      </ul>
    </div>

    <form class="d-flex input-group w-auto">
      <input
        type="search"
        class="form-control rounded"
        placeholder="Search"
        aria-label="Search"
      />
      <span class="input-group-text border-0" id="search-addon">
        <i class="fas fa-search"></i>
      </span>
    </form>

        
  </div>
</nav>
<!--/.Navbar-->
  <div class="mat-elevation-z8 style">
    <div class="d-flex style2">        
        <button class="btn btn-success" type="submit"  data-bs-toggle="modal" data-bs-target="#exampleModal">Ajouter Organisme</button>
   </div>
    <mat-form-field appearance="standard">
        <mat-label>Search</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
      </mat-form-field>
 
    <table mat-table [dataSource]="dataSource" matSort>
  
      <!-- ID Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>
  
      <!-- Progress Column -->
      <ng-container matColumnDef="libelle">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> libelle </th>
        <td mat-cell *matCellDef="let row"> {{row.libelle}} </td>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="modifier">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Modifier </th>
        <td mat-cell *matCellDef="let row" ><button color="black" mat-fab aria-label="Example icon-button with a heart icon" class="icon-display "
            (click)="Editorganisme(row.id)" data-bs-toggle="modal" data-bs-target="#exampleModal">
            <mat-icon>edit </mat-icon>
          </button>  </td>
      </ng-container>
  
      <!-- Fruit Column -->
      <ng-container matColumnDef="supprimer">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Suprimer </th>
        <td mat-cell *matCellDef="let row">
            <button mat-fab aria-label="Example icon-button with a heart icon" color="black" class="icon-display "
            (click)="deleteThisorganisme(row.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
      <!-- Row shown when there is no matching data. -->

      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>


  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Modifier Organisme</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
            <form class="row g-3" [formGroup]="form">
                <div class="col-md-6">
                    <label for="inputName" class="form-label">libelle</label>
                    <input type="text" formControlName="libelle" class="form-control" id="libelle">
                  </div>
              </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-warning" #closebutton data-bs-dismiss="modal">Close</button>
          <button *ngIf="btnSaveShow" type="button" class="btn btn-primary" (click)="OnCreateorganisme()" >Register</button>
          <button *ngIf="btnUpdateShow" type="button" class="btn btn-primary" (click)="updateorganisme()" >Update</button>
        </div>
      </div>
    </div>
  </div>